Status: New Start date: 2006-08-03
Priority: Low % Done: 0%
Assignee:

Category: Enhancement

Target version: Vanilla / Gameplay

Description

It would be pretty cool to enhance gameplay, if the
screen would vibrate a little when you fire a weapon,

or a rocket explode near you, or when the Cyberdemon is
walking.

It would give doom a little more explosive and fast
paced effect.

Labels: Graphics

History

#1 - 2013-10-22 07:33 - skyjake

- Tags set to Camera, Animation, Gameplay

- Subject changed from Screen Shaking to Camera effect: screen shaking
- Category set to Enhancement

- Priority changed from Normal to High

I like this idea. It is similar to camera vignette in that it brings some extra realism. However, it should be reserved to very strong forces like an
explosion, or firing the BFG.

#2 - 2013-10-22 21:59 - danij

Note that Hexen already implements a basic version of this for use with the "localized [earth]quake" effect. The "problem" is that this is ad-hoc and
offers no means for customization or scripting.

Ideally, camera animations would be scriptable logics. We could separate the camera from the player mobj so that the camera follows a player; this
movement logic could then be implemented using the mobj thinker mechanism (and ultimately with a script rather than a native function).

#3 - 2013-10-23 07:31 - skyjake

Hexen "localized [earth]quake" effect

BTW: when playing Hexen | noticed that this effect was curiously exaggerated. Instead of an earthquake tremor it felt like the player was jumping
back and forth by a couple of meters. It is possible there is a magnitude error here related to the fracunit refactoring, or the effect simply should be
toned down a little. (Should compare with vanilla.)

However, the effect I'm thinking about for the "screen shaking" would be a mixture of XYZ position and camera angle changes -- something akin to a
handheld movie camera being shaken by an external force (although obviously the player is not a handheld camera).

camera animations would be scriptable logics

That would be useful. At least it should be possible to start this kind of an effect via script.

#4 - 2019-11-29 19:21 - skyjake
- Priority changed from High to Low

- Target version set to Vanilla / Gameplay
